.shop-filter{
    width:$shop-side-menu-width;
    flex-shrink:0;

    position:sticky;
    top:100px;

    &__close{
        display:none;
        position: absolute;
        top: 0;
        right: 0;
        font-size: 4rem;
        padding: 2rem;
        line-height: 2rem;
    }

    .filter{
        &__section{
            padding-bottom:$filter-section-separation;
            margin-right:8rem;
            border-top: 1px solid rgb(196, 196, 196);


            
            @include md{
                margin-right:0;
            }

            &--fill{
                background:#ffffff;
                //padding:1rem;
            }
        }

        &__name{
            @include flex($just:space-between, $align: center);
            padding-top: 1rem;
            margin-bottom:1rem;
            font-weight: bold;
            font-family: 'RALEWAY-SEMIBOLD';
        }

        &__list{
            @include flex($wrap: true);

            &--vertical{
                flex-direction: column;

                // padding-right:8rem;

                & .filter__list-item{
                    padding:0.5rem 0;
                    //font-family: 'Gotham';
                    // border-bottom:1px solid $grey-light;
                    //opacity:.7;

                    @include state{
                        opacity:1;
                    }
                }
            } 
            
            &--full{
                li{
                    width:100%;
                }
            }
        }

        &__has-sublist{
            position:relative;
        }

        &__sublist{
            @include unselectable;

            &-toggle{
                position:absolute;
                right:0;
                top:5px;
            }

            display:none;

            .filter__list-item{
                padding-left:1.5rem;
            }
        }

        &__list{
            &-subitem-check{
                @include offscreen;

                &:checked ~{
                    .filter{
                        &__sublist{
                            display:block;
                            &-toggle{
                                .icon{
                                    background-position: map-get(map-get($sprite-icons, 'minus'), 'default');
                                }
                            }
                        }
                    }

                    
                }
            }
        }

        &__list-item{
            display:block;

            font-size:1.4rem;

            padding:.75rem 1rem .75rem 0;

            color: $black-abs;
            text-transform: uppercase;
            width: fit-content;

            &--active{
                font-weight: bold;
                border-bottom: 1px solid $black-abs;
            }

            &--outstand{
                color:$color-outstand;
                text-transform:uppercase;
            }
            
            &--size{
                padding:0;
                margin:-1px;

                background:$white;
                padding:.5rem 1rem;
                border:1px solid $grey-border;
                cursor:pointer;
                font-size:1.2rem;
                color:$grey-font;

                @include state{
                    background: $grey-font;
                    color: white;
                }

                &.active{
                    background: $grey-font;
                    color: white;
                }
            }

            &--bordered{
                border-bottom:1px solid $grey-border;
            }
        }

        $ball-size:16px !default;
        &__ball{
            @include circle;

            background-size:cover;
            
            display:block;
            cursor:pointer;
            width:$ball-size;
            height:$ball-size;
            
            &--active{
                box-shadow:0px 0px 0px 2px #333;
            }

            @include state{
                box-shadow:0px 0px 0px 2px #333;
            }
        }

    }

    .custom-checkbox{
        input[type=radio]{
            display:none;
        }

        &__selector{
            width: 15px;
            height: 15px;
            display: inline-block;
            border-radius: 50%;
            border: 1px solid $grey-font;
            margin-right:1rem;
        }

        &__item{
            @include flex($align: center);
            cursor:pointer;
            color:$grey-font;
        }

        input[type=radio]:checked ~ .custom-checkbox__item{
            .custom-checkbox__selector{
                box-shadow: inset 0px 0px 0px 3px #ededed;
                background: $grey-font;
            }
        }
        
    }

    @include md{
        display:none;

        width:85vw;

        position:fixed;
        top:50%;
        left:50%;
        transform: translate(-50%, -50%);
        z-index: z('popup');

        background:$white;
        padding:2rem;
        box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14), 0 3px 1px -2px rgba(0,0,0,0.12), 0 1px 5px 0 rgba(0,0,0,0.2);
        
        max-height: 80vh;
        overflow-y: auto;

        .filter{
            &__list{
                &--vertical{
                    padding-right:0;
                }
            }

            &__section{
                .icon{
                    // display:none;
                }
            }
        }
    }
}

.sort__label{
    font-weight: bold;
    font-family: 'RALEWAY-BOLD';
    color: #000;
}